<?php

if ( ! defined( 'ABSPATH' ) ) exit;

require_once "DigitalSignage4_Entity.php";

class DigitalSignage4_CompteEntity extends DigitalSignage4_Entity
{
    private $id = null;
    private $login = null;
    private $date_creation = null;
    private $is_actif = null;
    private $id_admin = null;

    /**
     * @return null
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param null $id
     * @return DigitalSignage4_CompteEntity
     */
    public function setId($id)
    {
        $this->id = $id;
        return $this;
    }

    /**
     * @return null
     */
    public function getLogin()
    {
        return $this->login;
    }

    /**
     * @param null $login
     * @return DigitalSignage4_CompteEntity
     */
    public function setLogin($login)
    {
        $this->login = $login;
        return $this;
    }

    /**
     * @return null
     */
    public function getDateCreation()
    {
        return $this->date_creation;
    }

    /**
     * @param null $date_creation
     * @return DigitalSignage4_CompteEntity
     */
    public function setDateCreation($date_creation)
    {
        $this->date_creation = $date_creation;
        return $this;
    }

    /**
     * @return null
     */
    public function getIsActif()
    {
        return $this->is_actif;
    }

    /**
     * @param null $is_actif
     * @return DigitalSignage4_CompteEntity
     */
    public function setIsActif($is_actif)
    {
        $this->is_actif = $is_actif;
        return $this;
    }

    /**
     * @return null
     */
    public function getIdAdmin()
    {
        return $this->id_admin;
    }

    /**
     * @param null $id_admin
     * @return DigitalSignage4_CompteEntity
     */
    public function setIdAdmin($id_admin)
    {
        $this->id_admin = $id_admin;
        return $this;
    }
}
